RDKit: ForceFields::UFF::InversionContribs Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ForceFields::UFF::InversionContribs Class Reference

A term to capture all Inversion Contributionss. More...

`#include <Inversions.h>`

Inheritance diagram for ForceFields::UFF::InversionContribs:

## Public Member Functions
| InversionContribs ()=default
| InversionContribs (ForceField *owner)
| Constructor.
| ~InversionContribs () override=default
void | addContrib (unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, int at2AtomicNum, bool isCBoundToO, double oobForceScalingFactor=1.0)
| Add contribution to this contrib.
double | getEnergy (double *pos) const override
| return the contribution of this contrib to the energy of a given state
void | getGrad (double *pos, double *grad) const override
InversionContribs * | copy () const override
| Copy constructor.
bool | empty () const
| Return true if there are no contributions in this contrib.
unsigned int | size () const
| Get number of contributions in this contrib.
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members
Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField {nullptr}
| our owning ForceField

## Detailed Description

A term to capture all Inversion Contributionss.

Definition at line 48 of file Inversions.h.

## Constructor & Destructor Documentation

## ◆ InversionContribs() [1/2]

ForceFields::UFF::InversionContribs::InversionContribs | ( |  | ) |
| default

Referenced by copy().

## ◆ InversionContribs() [2/2]

ForceFields::UFF::InversionContribs::InversionContribs | ( | ForceField * | owner | ) |

Constructor.

Parameters

  owner | pointer to the owning ForceField

References ForceFields::ForceFieldContrib::ForceField.

## ◆ ~InversionContribs()

ForceFields::UFF::InversionContribs::~InversionContribs | ( |  | ) |
| overridedefault

## Member Function Documentation

## ◆ addContrib()

void ForceFields::UFF::InversionContribs::addContrib | ( | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | unsigned int | idx4,
|  | int | at2AtomicNum,
|  | bool | isCBoundToO,
|  | double | oobForceScalingFactor = 1.0 )

Add contribution to this contrib.

Parameters

  idx1 | index of atom1 in the ForceField's positions
  idx2 | index of atom2 in the ForceField's positions
  idx3 | index of atom3 in the ForceField's positions
  idx4 | index of atom4 in the ForceField's positions
  at2AtomicNum | atomic number for atom 2
  isCBoundToO | boolean flag; true if atom 2 is sp2 C bound to sp2 O
  oobForceScalingFactor | scaling factor for force constant

## ◆ copy()

InversionContribs * ForceFields::UFF::InversionContribs::copy | ( |  | ) | const
| inlineoverridevirtual

Copy constructor.

Implements ForceFields::ForceFieldContrib.

Definition at line 87 of file Inversions.h.

References InversionContribs().

## ◆ empty()

bool ForceFields::UFF::InversionContribs::empty | ( |  | ) | const
| inline

Return true if there are no contributions in this contrib.

Definition at line 92 of file Inversions.h.

## ◆ getEnergy()

double ForceFields::UFF::InversionContribs::getEnergy | ( | double * | pos | ) | const
| overridevirtual

return the contribution of this contrib to the energy of a given state

Parameters

  pos | positions of the atoms in the current state

Implements ForceFields::ForceFieldContrib.

## ◆ getGrad()

void ForceFields::UFF::InversionContribs::getGrad | ( | double * | pos,
|  | double * | grad ) const
| overridevirtual

calculate the contribution of this contrib to the gradient at a given state

Parameters

  pos | positions of the atoms in the current state
  grad | gradients to be adapted

Implements ForceFields::ForceFieldContrib.

## ◆ size()

unsigned int ForceFields::UFF::InversionContribs::size | ( |  | ) | const
| inline

Get number of contributions in this contrib.

Definition at line 95 of file Inversions.h.

The documentation for this class was generated from the following file:

- Inversions.h